# AKS Managed Cluster

{% hint style="info" %}
**Updated**: February 17, 2026
{% endhint %}

{% hint style="info" %}
AKS pricing includes cluster management (control plane) and worker node VM costs. The Free tier has no control plane charge. Standard and Premium tiers have uptime SLA / LTS charges. Worker node costs are calculated per node pool using Virtual Machines pricing.
{% endhint %}

## Creating an AKS cluster with Standard tier

```yaml
defaults:
  resource_group: rg-aks-test

resources:
  - type: "Microsoft.ContainerService/managedClusters"
    name: aks-minimal
    api_version: "2025-10-01"
    location: eastus
    sku:
      name: Base
      tier: Standard
    identity:
      type: SystemAssigned
    props:
      dns_prefix: aksmin
      agent_pool_profiles:
        - name: nodepool1
          count: 1
          vm_size: Standard_B2s
          os_type: Linux
          mode: System
          os_disk_size_gb: 30
      network_profile:
        network_plugin: kubenet
        load_balancer_sku: basic
      enable_rbac: true
```

## Creating an AKS cluster with Free tier

```yaml
defaults:
  resource_group: rg-aks-test

resources:
  - type: "Microsoft.ContainerService/managedClusters"
    name: aks-minimal
    api_version: "2025-10-01"
    location: eastus
    sku:
      name: Base
      tier: Free
    identity:
      type: SystemAssigned
    props:
      dns_prefix: aksmin
      agent_pool_profiles:
        - name: nodepool1
          count: 1
          vm_size: Standard_B2s
          os_type: Linux
          mode: System
          os_disk_size_gb: 30
      network_profile:
        network_plugin: kubenet
        load_balancer_sku: basic
      enable_rbac: true
```

## Creating an AKS cluster with Premium tier

```yaml
defaults:
  resource_group: rg-aks-test

resources:
  - type: "Microsoft.ContainerService/managedClusters"
    name: aks-premium
    api_version: "2025-10-01"
    location: eastus
    sku:
      name: Base
      tier: Premium
    identity:
      type: SystemAssigned
    props:
      dns_prefix: aksprem
      agent_pool_profiles:
        - name: nodepool1
          count: 3
          vm_size: Standard_D4s_v3
          os_type: Linux
          mode: System
      network_profile:
        network_plugin: azure
      enable_rbac: true
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mechcloud.io/cloud-computing/stateless-iac/azure/examples-resources-with-cost/microsoft.containerservice/managed-cluster.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
